DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Set

the value of a pixel

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_Set ( out, const, cor, adjust )

## FUNCTION

This function set a value of a pixel at position `cor` in the image `out` to the value `const`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `out` | Output image
`dip_Image` | `constImage` | 0-D image
`dip_IntegerArray` | `cor` | Pixel coordinate
`dip_Boolean` | `adjust` | Adjust data type of output image

## SEE ALSO

`SetInteger`, `SetFloat`, `SetComplex`, `dip__PixelSetInteger`, `dip__PixelSetFloat`, `Get`

DIPlib on-line documentation | Function reference | Global function index